commit:     91081c55a118249339229acd798d69e655474223
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 29 17:39:33 2020 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Mar 29 17:45:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91081c55

sci-libs/cartopy: New package

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 sci-libs/cartopy/Manifest                    |  1 +
 sci-libs/cartopy/cartopy-0.18.0_beta1.ebuild | 65 ++++++++++++++++++++++++++++
 sci-libs/cartopy/metadata.xml                | 15 +++++++
 3 files changed, 81 insertions(+)

diff --git a/sci-libs/cartopy/Manifest b/sci-libs/cartopy/Manifest
new file mode 100644
index 00000000000..b4a3dc8825c
--- /dev/null
+++ b/sci-libs/cartopy/Manifest
@@ -0,0 +1 @@
+DIST cartopy-0.18.0_beta1.tar.gz 14215372 BLAKE2B 
5bb1e98f18fdf57c0459202bfe77d4e4a476a3008e2f21a77cf643711cc3c438626915c31ee48886e980466f952985503987e3ed571295e2beb6c12754b382c4
 SHA512 
95d3bd87e57bea89eb2c25d6a709285ba59fb0f994abc3b37faf29b272b73647d0bc8979a25b1480f48bb55c957f4183ac3c3ad49b830ce686e931227c797abe

diff --git a/sci-libs/cartopy/cartopy-0.18.0_beta1.ebuild 
b/sci-libs/cartopy/cartopy-0.18.0_beta1.ebuild
new file mode 100644
index 00000000000..01048dc6aca
--- /dev/null
+++ b/sci-libs/cartopy/cartopy-0.18.0_beta1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+inherit distutils-r1 virtualx
+
+MY_PV=${PV/_beta/b}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Python package for geospatial data processing and analysis"
+HOMEPAGE="https://scitools.org.uk/cartopy";
+SRC_URI="https://github.com/SciTools/${PN}/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-python/numpy[${PYTHON_USEDEP}]
+       sci-libs/pyshp[${PYTHON_USEDEP}]
+       sci-libs/Shapely[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       sci-libs/gdal[python,${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       sci-libs/geos
+       sci-libs/proj
+"
+
+distutils_enable_tests pytest
+
+DEPEND+="test? (
+               dev-python/filelock[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}"/${MY_P}
+
+python_prepare_all() {
+       # drop test file requiring network access, which got not covered by 
markers
+       rm "${S}"/lib/cartopy/tests/mpl/test_crs.py || die
+       # prepare matplotlib backend for test suite
+       export MPLCONFIGDIR="${T}"
+       echo "backend : Agg" > "${MPLCONFIGDIR}"/matplotlibrc || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       cd "${BUILD_DIR}"
+       # drop all tests needing network access
+       virtx pytest -vv -m "not network and not natural_earth" || die "test 
failed"
+}

diff --git a/sci-libs/cartopy/metadata.xml b/sci-libs/cartopy/metadata.xml
new file mode 100644
index 00000000000..5bffb905015
--- /dev/null
+++ b/sci-libs/cartopy/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Thomas Beierlein</name>
+       </maintainer>
+       <longdescription>
+               Cartopy is a Python package designed for geospatial data 
processing
+               in order to produce maps and other geospatial data analyses.
+               Key features of cartopy are its object oriented projection 
definitions, 
+               and its ability to transform points, lines, vectors, polygons 
and i
+               images between those projections.
+       </longdescription>
+</pkgmetadata>

Reply via email to